@import "~select2/src/scss/core";

.wrapper-loan {
  max-width: 1148px;
  border-radius: 8px;
  box-shadow: 0 6px 34px 0 rgba(43, 52, 75, 0.05);
  background-color: #fff;
  padding: 24px 10% 24px 10%;
  margin-top: -30px;
  position: relative;
  z-index: 30;

  @include desktop {
    padding: 65px 10% 58px 10%;
    margin-top: -65px;
  }

  .list-product {
    margin-top: 0;

    @include desktop {
      margin-top: 40px;
    }

    .product-item {
      display: flex;
      align-items: center;
      justify-content: center;
      flex-direction: column;
      width: 100%;
      padding: 30px 0;
      height: 100%;

      &:hover {
        border: solid 1px $primary-color;
      }

      @include mobile {
        padding: 10px 0 15px 0;
      }

      .product-title {
        padding: 0 20px;
        text-align: center;

        h4 {
          font-size: 16px;
          color: #002d58;
          letter-spacing: 0.8px;

          @include desktop {
            height: 40px;
          }

          @include mobile {
            font-size: 13px;
          }
        }
      }

      .product-icon {
        display: flex;
        min-height: 92px;
      }
    }
  }

  .form-fill-info {
    max-width: 550px;
    margin: 40px auto 40px auto;
    padding: 0 30px;

    @include mobile {
      padding: 0;
      margin: 40px auto 0 auto;
    }

    label {
      color: $primary-color;
      font-size: 18px;
      font-weight: 600;
      letter-spacing: 1.1px;
      margin-bottom: 8px;
      display: block;

      @include mobile {
        font-size: 13px;
      }
    }

    input {
      height: 50px;
      border-radius: 8px;
      border: solid 1px #cfd7df;
      background: #fff;
      width: 100%;
      padding: 0 20px;

      &::placeholder {
        color: #d0d7df;
      }
    }

    .error {
      color: red;
      font-size: 15px;
      margin-top: 10px;
    }
  }
}

.notice--check-loan {
  margin-top: 30px;

  .notice--check-loan__content {
    p {
      font-size: 14px;
      font-weight: 500;
      font-style: italic;
      letter-spacing: 0.8px;
      color: #002d58;
      text-align: center;
    }
  }

  .notice--check-loan__title {
    p {
      font-size: 18px;
      text-transform: uppercase;
      text-align: center;
      font-family: Lato-Bold, sans-serif;
      letter-spacing: 1.1px;
    }

    &.success {
      p {
        color: #01c981;
      }
    }

    &.failed {
      p {
        color: #c91901;
      }
    }
  }
}

.select2-container--default {
  .select2-selection--single {
    height: 50px;
    border-radius: 8px;
    border: solid 1px #cfd7df;
    background: #fff;
    width: 100%;
    padding: 0 20px;
    display: flex;
    align-items: center;

    .select2-selection__rendered {
      padding: 0;

      .select2-selection__placeholder {
        color: #d0d7df;
      }
    }

    .select2-selection__arrow {
      height: 20px;
      top: 30%;
    }
  }
}
